﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Tools.Controls;
using Syncfusion.Windows.Shared;

namespace DockingManager_F129482
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;
            selectionchanged = new DelegateCommand<object>(PropertyChangedHandled);
            
        }

       
        private ICommand selectionchanged;

        public ICommand SelectionChanged
        {
            get
            {
                return selectionchanged;
            }
        }


        private void PropertyChangedHandled(object obj)
        {            
            if(DocumentContainer.GetMDIWindowState(obj as DependencyObject) == MDIWindowState.Maximized)
            MessageBox.Show("MDI Window" + DockingManager.GetHeader(obj as DependencyObject) + " Restored");
            else
                MessageBox.Show("MDI Window" + DockingManager.GetHeader(obj as DependencyObject) + " Maximized");
        }

    }

   
}
